=== scripts/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.5 2002-06-20 13:16:57 sian Exp $
#
.PHONY : install

all : resetseed ca
	echo "Nothing to be done for all"

install :
	$(INSTALLPROG) -p resetseed ca $(BINDIR)
